Subject: [DNSOP] "Trustworthiness" - was Re: [Ext] Re: tdns, 'hello-dns' progress, feedback requested

From: Edward Lewis <[email-masked]>
Date: Fri, 13 Apr 2018 20:04:58 +0000

On 4/13/18, 13:51, "DNSOP on behalf of Mukund Sivaraman" <[email-masked] on behalf of [email-masked]> wrote:

>    Nod, RFC 2181 doesn't use RFC 2119/8174 keywords, so the "should" there
>    doesn't have a pointy meaning.

In "Clarifications to the DNS Specification" (the title of RFC 2181, which ought to give some idea of how significant the work is), it talks of "trustworthiness" in a section on "ranking data" (5.4.1).

But note this wording:

"The accuracy of data available is assumed from its source.
Trustworthiness shall be, in order from most to least:"

At the time DNSSEC was just beginning, with the clarifications from DNSIND WG and DNSSEC in the DNSSEC WG.  The words about "assumed from its source" is interesting this context, at least two people in the acknowledgements or editors for the clarifications document and the January 1997 edition of "DNS Security Extensions" (RFC 2065).